### Method

# Clutter Interval compute_value

#### Declaration [src]

    gboolean
    clutter_interval_compute_value (
      ClutterInterval* interval,
      gdouble factor,
      GValue* value
    )

#### Description [src]

Computes the value between the `interval` boundaries given the progress `factor` and copies it into `value`.

#### Parameters

`factor`

  Type: `gdouble`

  The progress factor, between 0 and 1.

`value`

  Type: `GValue`

  Return location for an initialized `GValue`.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful.